#cs ----------------------------------------------------------------------------
 FastFind Version: 1.2
 AutoIt Version: 3.3.6.1
 Author:         FastFrench

 Script Function:
	FastFind simple Benchmark.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here
#include "FastFind.au3"


; Utilisation d'un PixelGetcolor() sur 500 points diffrents (instruction native AutoIt) 
$begin = TimerInit()
for $x = 1 to 500
  $a = PixelGetcolor($x, 500);
 Next

$dif = TimerDiff($begin)
MsgBox(0, "Dure pour 500 occurences de PixelGetColor", $dif/1000)

; Comparaison avec instruction quivalente dans FastFind
$begin = TimerInit()
FFSnapShot() ; On ne fait pas dans la finesse ici : on capture tout l'cran
for $x = 1 to 500
  $a = FFGetPixel($x, 500);
 Next
$dif = TimerDiff($begin)
MsgBox(0, "Dure pour SnapShot + 500 occurences de FFGetPixel", $dif/1000)

; Rsultats : PixelGetColor x 500 = 9.61 Secondes 
;             FFGetPixel x 500    = 0.0893 Secondes